FireIO
======

FireIO is a framework to build micro-services, command line tasks or web applications.

Modules
-------

### APP (Application Bootstrap)

The App module creates a new app instance. An app instance is the backbone of each FireIO app. You can have multiple apps in one project.

*static* .app(*str* name)
```js
const app = FireIO.app('myapp')
```

### API (REST API)
### CMD (Commandline tasks)
### Config (Configuration handling)
### Server (Web Server)
### Page (Page creation)
### Socket (Socket Server)
### Model (Data modeling)
### List (List of Models)
### Service (Data persistance)
### Request (API Requests)

The [Request](./docs/request,md) module handles API requests to external resources. It uses the `request` module to deal with http.

### RPC (Remote prcedure calls)
### Logger (Application logging)
