module.exports.__fsLocationMap = [[1, 8, 2, 1], [1, 14, 2, 7], [2, 5, 3, 3], [3, 9, 3, 13], [3, 15, 3, 19], [4, 9, 3, 25], [4, 15, 3, 31], [6, 5, 4, 3], [7, 9, 5, 5], [7, 16, 5, 12], [7, 24, 5, 20], [7, 28, 5, 24], [7, 41, 5, 37], [7, 50, 5, 46], [7, 60, 5, 56], [8, 9, 6, 5], [9, 13, 7, 7], [10, 17, 8, 9], [10, 25, 8, 17], [11, 17, 9, 9], [11, 27, 9, 19], [12, 17, 10, 9], [12, 28, 10, 20], [14, 5, 14, 3], [15, 9, 14, 12], [15, 16, 14, 19], [17, 5, 15, 3], [18, 9, 16, 5], [18, 21, 16, 17], [19, 9, 17, 5], [19, 17, 17, 13], [20, 9, 18, 5], [20, 20, 18, 16], [22, 5, 20, 3], [23, 9, 21, 5], [23, 18, 21, 14], [24, 9, 22, 5], [24, 17, 22, 13], [25, 9, 23, 5], [25, 18, 23, 14], [27, 5, 25, 3], [28, 9, 25, 10], [28, 15, 25, 16], [1, 14, 27, 16], [1, 14, 27, 30]];
module.exports.__esModule = true;
const defaultConf = {
  server: { port: 7448, host: '0.0.0.0' },
  log: {
    level: process.env.NODE_ENV === 'test' ? 'error' : 'sys',
    logger: {
      console: {
        colors: true,
        template: 'minimal',
        timestamp: true
      }
    }
  },
  debug: { level: 'sys' },
  api: {
    errorLevel: 'error',
    pretty: false,
    parseTime: false
  },
  pingRoute: {
    enabled: true,
    status: 204,
    message: ''
  },
  cmd: { path: 'bin/' }
};
module.exports.defaultConf = defaultConf;
