module.exports.__fsLocationMap = [[4, 8, 3, 1], [4, 14, 3, 7], [5, 5, 4, 3], [5, 30, 4, 24], [5, 30, 5, 5], [5, 30, 5, 14], [6, 9, 7, 5], [6, 14, 7, 10], [8, 5, 10, 3], [9, 9, 13, 5], [9, 12, 13, 9], [9, 19, 13, 16], [9, 27, 13, 24], [10, 13, 14, 7], [10, 18, 14, 12], [10, 23, 14, 17], [10, 30, 14, 24], [11, 9, 15, 7], [11, 14, 15, 16], [11, 21, 15, 23], [11, 29, 15, 31], [12, 13, 16, 7], [12, 18, 16, 12], [12, 25, 16, 19], [14, 5, 20, 3], [15, 9, 22, 5], [15, 16, 22, 12], [15, 21, 22, 17], [15, 26, 22, 22], [4, 14, 25, 16], [4, 14, 25, 24]];
module.exports.__esModule = true;
const FirescriptRuntime = require('firescript-runtime').FirescriptRuntime;
class Model {
  constructor (schema, config) {
    config = config || {};
    FirescriptRuntime.paramTyping(FirescriptRuntime.TYPE_OBJ, schema, 'schema');
    this.data = {};
  }

  set (key, value) {
    FirescriptRuntime.paramTyping(FirescriptRuntime.TYPE_ANY, key, 'key');
    FirescriptRuntime.paramTyping(FirescriptRuntime.TYPE_ANY, value, 'value');
    if (typeof key === 'string') {
      this.data[key] = value;
    } else if (typeof key === 'object') {
      this.data = value;
    }
  }

  get (key) {
    FirescriptRuntime.paramTyping(FirescriptRuntime.TYPE_STR, key, 'key');
    return this.data[key];
  }
}
module.exports.Model = Model;
