module.exports.__fsLocationMap = [[1, 8, 2, 7], [1, 22, 2, 26], [1, 8, 2, 38], [3, 8, 3, 1], [3, 14, 3, 7], [3, 26, 3, 19], [3, 14, 4, 16], [3, 14, 4, 28], [4, 8, 5, 1], [4, 14, 5, 7], [4, 24, 5, 17], [4, 14, 6, 16], [4, 14, 6, 26], [5, 8, 7, 1], [5, 14, 7, 7], [5, 24, 7, 17], [5, 14, 8, 16], [5, 14, 8, 26], [6, 8, 9, 1], [6, 14, 9, 7], [6, 25, 9, 18], [6, 14, 10, 16], [6, 14, 10, 27], [7, 8, 11, 1], [7, 14, 11, 7], [7, 24, 11, 17], [7, 14, 12, 16], [7, 14, 12, 26], [8, 8, 13, 1], [8, 14, 13, 7], [8, 25, 13, 18], [8, 14, 14, 16], [8, 14, 14, 27], [9, 8, 15, 1], [9, 14, 15, 7], [9, 26, 15, 19], [9, 14, 16, 16], [9, 14, 16, 28], [21, 8, 17, 1], [21, 14, 17, 7], [21, 21, 17, 14], [21, 29, 17, 22], [22, 5, 18, 3], [22, 18, 18, 16], [22, 18, 19, 5], [22, 18, 19, 12], [23, 9, 20, 5], [23, 15, 20, 11], [24, 9, 21, 5], [24, 14, 21, 10], [24, 23, 21, 19], [24, 28, 21, 24], [24, 37, 21, 33], [26, 5, 25, 3], [26, 10, 25, 8], [26, 17, 25, 15], [26, 22, 25, 20], [27, 9, 26, 5], [27, 14, 26, 10], [27, 23, 26, 19], [27, 30, 26, 26], [27, 35, 26, 31], [28, 9, 27, 5], [28, 16, 27, 12], [21, 14, 30, 16], [21, 14, 30, 25]];
module.exports.__esModule = true;
const Logtopus = require('logtopus').Logtopus;
const LOG_DEBUG = 'debug';
module.exports.LOG_DEBUG = LOG_DEBUG;
const LOG_RES = 'res';
module.exports.LOG_RES = LOG_RES;
const LOG_REQ = 'req';
module.exports.LOG_REQ = LOG_REQ;
const LOG_INFO = 'info';
module.exports.LOG_INFO = LOG_INFO;
const LOG_SYS = 'sys';
module.exports.LOG_SYS = LOG_SYS;
const LOG_WARN = 'warn';
module.exports.LOG_WARN = LOG_WARN;
const LOG_ERROR = 'error';
module.exports.LOG_ERROR = LOG_ERROR;
class Logger extends Logtopus {
  constructor (opts) {
    opts = opts || {};
    super(opts);
    this.setLevel(opts.level || 'debug');
    // todo read from confing
  }

  log (level, msg, data) {
    this.writeLog(level, msg, data);
    return this;
  }
}
module.exports.Logger = Logger;
